Package org.eclipse.graphiti.tb

# Interface ISelectionInfo

All Known Subinterfaces:
  `IAnchorSelectionInfo`, `IConnectionSelectionInfo`, `IShapeSelectionInfo`

All Known Implementing Classes:
  `AnchorSelectionInfoImpl`, `ConnectionSelectionInfoImpl`, `SelectionInfoImpl`, `ShapeSelectionInfoImpl`

public interface ISelectionInfo
The Interface ISelectionInfo.

## Method Summary

Modifier and Type
Method
Description
`IColorConstant`
`getColor()`
Gets the color.
`IColorConstant`
`getHoverColor()`
Gets the hover color.
`IColorConstant`
`getHoverColorParentSelected()`
Gets the hover color for a shape whose parent is selected.
`LineStyle`
`getLineStyle()`
Gets the line style.
`void`
`setColor(IColorConstant color)`
Set the color of the selection.
`void`
`setHoverColor(IColorConstant hoverColor)`
Sets the hover color.
`void`
`setHoverColorParentSelected(IColorConstant hoverColor)`
Sets the hover color for shapes whose parent is selected.
`void`
`setLineStyle(LineStyle lineStyle)`
Set the line style of the selection.

## Method Details

### getColor

IColorConstant getColor()
Gets the color.

Returns:
  the color of the selection border

### getHoverColor

IColorConstant getHoverColor()
Gets the hover color.

Returns:
  the on hover color

### getHoverColorParentSelected

IColorConstant getHoverColorParentSelected()
Gets the hover color for a shape whose parent is selected.

Returns:
  the hover color

### getLineStyle

LineStyle getLineStyle()
Gets the line style.

Returns:
  the line style of the selection

### setColor

void setColor(IColorConstant color)
Set the color of the selection.

Parameters:
  `color` - the color

### setHoverColor

void setHoverColor(IColorConstant hoverColor)
Sets the hover color.

Parameters:
  `hoverColor` - the color

### setHoverColorParentSelected

void setHoverColorParentSelected(IColorConstant hoverColor)
Sets the hover color for shapes whose parent is selected.

Parameters:
  `hoverColor` - the color

### setLineStyle

void setLineStyle(LineStyle lineStyle)
Set the line style of the selection.

Parameters:
  `lineStyle` - the line style